---

# .pre-commit-config.yaml
# ========================
#
# pre-commit clean
# pre-commit install
# pre-commit install-hooks
#
# precommit hooks installation
#
# - pre-commit autoupdate
#
# - pre-commit run uv-export
#
# continuous integration
# ======================
#
# - pre-commit run --all-files
#

repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v5.0.0
    hooks:
    - id: trailing-whitespace
    - id: end-of-file-fixer
    - id: check-yaml
    - id: check-json
    - id: fix-encoding-pragma
      args: ['--remove']
    - id: forbid-new-submodules
    - id: mixed-line-ending
      args: ['--fix=lf']
      description: Forces to replace line ending by the UNIX 'lf' character.
    # - id: pretty-format-json
    #  args: ['--no-sort-keys']
    - id: check-added-large-files
      args: ['--maxkb=5000']
    - id: no-commit-to-branch
      args: [--branch, staging]


  - repo: https://github.com/astral-sh/uv-pre-commit
    rev: 0.5.7
    hooks:
      - id: uv-export
        args: ["--frozen", "--no-hashes", "--output-file=requirements.txt"]

  - repo: https://github.com/abravalheri/validate-pyproject
    rev: v0.23
    hooks:
      - id: validate-pyproject
